%% polygon demo


%%

clear
close all
[x y] = meshgrid(linspace(-1.2,1.2,251));
z = polygon(x,y);
imshow(z>0.5);

%%

n = 5;
theta = (2*pi/n)*(0:n) -pi/10;
p = [cos(theta') sin(theta')];
z = polygon(x,y,p);
imshow(z>0.5);
