function img = ellipse(sz, cen, rad, theta, thres)

x = 1:sz(2);
y = 1:sz(1);
x = ones(sz(1),1)*x;
y = y'*ones(1,sz(2));

theta = theta*pi/180;

p = cos(theta)*(x-cen(1)) - sin(theta)*(y-cen(2));
q = sin(theta)*(x-cen(1)) + cos(theta)*(y-cen(2));

r = sqrt((p/rad(1)).^2+(q/rad(2)).^2);
img = r<thres;
